<?php

namespace App\Enums;

enum JourneyMethod: string
{
    case Air = 'Air';
    case Bus = 'Bus';
    case PersonalVehicle = 'PersonalVehicle';
    case RcswaVehicle = 'RcswaVehicle';
    case Train = 'Train';

    public function label(): string
    {
        return match($this) {
            self::Air => 'Air',
            self::Bus => 'Bus',
            self::PersonalVehicle => 'Personal Vehicle',
            self::RcswaVehicle => 'RCSWA Vehicle',
            self::Train => 'Train',
        };
    }
}
